package com.jasamedika.medifirst2000.vo;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;




import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;
public class HeadRupVO extends BaseTransactionVO{

	@Caption(value="Kode Head Rup")
	@Column(name="kdHeadRup", length = 50)
	private String kdHeadRup;
	
	@Column(name = "Tanggal", nullable = true )
	private Date tanggal;
	

	public String getKdHeadRup() {
		return kdHeadRup;
	}

	public void setKdHeadRup(String kdHeadRup) {
		this.kdHeadRup = kdHeadRup;
	}

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}
	
	
	

}
